# pandas.core.window.rolling.Rolling.sem

Rolling.sem(ddof=1, *args, **kwargs)

  Calculate the rolling standard error of mean.

  Parameters
    ddof int, default 1

      Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

    *args

      For NumPy compatibility and will not have an effect on the result.

    **kwargs

      For NumPy compatibility and will not have an effect on the result.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.sem`

    Aggregating sem for Series.

  `pandas.DataFrame.sem`

    Aggregating sem for DataFrame.

  Notes

  A minimum of one period is required for the calculation.

  Examples

      >>> s = pd.Series([0, 1, 2, 3])
      >>> s.rolling(2, min_periods=1).sem()
      0         NaN
      1    0.707107
      2    0.707107
      3    0.707107
      dtype: float64